Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 928386 - net-analyzer/zabbix: php[oci8-instant-client] is going away
Summary: net-analyzer/zabbix: php[oci8-instant-client] is going away
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Miroslav Šulc
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2024-04-01 12:56 UTC by Michael Orlitzky
Modified: 2024-04-24 08:34 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Orlitzky gentoo-dev 2024-04-01 12:56:45 UTC
The "oci8" extension is being excised from PHP proper:

  * https://github.com/php/php-src/pull/13327
  * https://wiki.php.net/rfc/unbundle_imap_pspell_oci8

In addition, current PHP fails to build with the latest version of the client due to missing 32-bit libs. (And no one is going to fix this, because it's being dropped, but it's being dropped because no one was fixing it...)

I've prematurely removed the extension from dev-lang/php:8.3 because it's going away in 8.4 and, well, it doesn't work anyway. I would have given you a heads up first but I didn't think anyone had a dependency on this extension. I should have grepped, sorry.

If you actually care about Oracle, the best long-term fix would be to package the PECL extension at https://github.com/php/pecl-database-oci8 and to depend on that. Otherwise, the reason it's going away is because even Oracle doesn't care about Oracle support in PHP. Personally I would just drop it.
Comment 1 Florian Schmaus gentoo-dev 2024-04-21 17:26:26 UTC
@fordfrog do you have any intrinsic knowledge about the use of php[oci8-instant-client] in Zabbix? Why is this required if USE=frontend? Can we simply drop it?
Comment 2 Miroslav Šulc gentoo-dev 2024-04-21 18:24:36 UTC
it seems zabbix supports storing its data in oracle database: https://www.zabbix.com/documentation/current/en/manual/appendix/install/oracle

and in such a case, the web frontend has to be able to read from the database.

so we have the two options as outlined in the original post. either drop the support or package the pecl extension. i'm not sure whether dropping oracle support would affect any of our users or not.
Comment 3 Larry the Git Cow gentoo-dev 2024-04-24 08:34:10 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dc7a0ea0b9a27cb90596a90b44b2d4cd5dfa7830

commit dc7a0ea0b9a27cb90596a90b44b2d4cd5dfa7830
Author:     Miroslav Šulc <fordfrog@gentoo.org>
AuthorDate: 2024-04-24 08:33:51 +0000
Commit:     Miroslav Šulc <fordfrog@gentoo.org>
CommitDate: 2024-04-24 08:34:04 +0000

    net-analyzer/zabbix: bump to 6.0.29 & 6.4.14
    
    dropped support for oracle database from the frontend
    
    Bug: https://bugs.gentoo.org/928386
    Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>

 net-analyzer/zabbix/Manifest             |   4 +
 net-analyzer/zabbix/zabbix-6.0.29.ebuild | 389 ++++++++++++++++++++++++++++++
 net-analyzer/zabbix/zabbix-6.4.14.ebuild | 393 +++++++++++++++++++++++++++++++
 3 files changed, 786 insertions(+)